Loading...
Searching...
No Matches
RDKit::MolStandardize::AllowedAtomsValidation Class Reference

`#include <Validate.h>`

Inheritance diagram for RDKit::MolStandardize::AllowedAtomsValidation:

## Public Member Functions

| AllowedAtomsValidation (std::vector< std::shared_ptr< Atom > > atoms)
std::vector< ValidationErrorInfo > | validate (const ROMol &mol, bool reportAllFailures) const override
std::shared_ptr< ValidationMethod > | copy () const override
Public Member Functions inherited from RDKit::MolStandardize::ValidationMethod
| ValidationMethod ()=default
virtual | ~ValidationMethod ()=default

## Detailed Description

The AllowedAtomsValidation class lets the user input a list of atoms, anything not on the list throws an error.

Definition at line 174 of file Validate.h.

## Constructor & Destructor Documentation

## AllowedAtomsValidation()

RDKit::MolStandardize::AllowedAtomsValidation::AllowedAtomsValidation | ( | std::vector< std::shared_ptr< Atom > > | atoms | ) |

inline

Definition at line 177 of file Validate.h.

## Member Function Documentation

## copy()

std::shared_ptr< ValidationMethod > RDKit::MolStandardize::AllowedAtomsValidation::copy | ( |  | ) | const

inline override virtual

Implements RDKit::MolStandardize::ValidationMethod.

Definition at line 182 of file Validate.h.

## validate()

std::vector< ValidationErrorInfo > RDKit::MolStandardize::AllowedAtomsValidation::validate | ( | const ROMol & | mol,
|  | bool | reportAllFailures ) const

override virtual

Implements RDKit::MolStandardize::ValidationMethod.

The documentation for this class was generated from the following file:

- Validate.h